# GooglePay

`POST /your-endpoint-on-googlepay-payment`

- operationId: `receiveWebhookOfGooglePayPayment`
- tags: Webhook_通知仕様

GooglePayに関するイベント（`payments.googlepay.*`）で通知されるリクエストのボディの仕様です。


## リクエストボディ

Content-Type: `application/json`

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `shop_id` | Shop_properties-id |  |  |
| `order_id` | Payment_properties-id |  |  |
| `access_id` | access_id |  |  |
| `pay_type` | PayType |  | 決済種別 |
| `status` | PaymentStatus |  | 決済ステータス |
| `customer_id` | id |  |  |
| `method` | CardPayMethod |  |  |
| `pay_times` | CardPayTimes |  |  |
| `client_field_1` | client_field_n |  | 加盟店自由項目 1 |
| `client_field_2` | client_field_n |  | 加盟店自由項目 2 |
| `client_field_3` | client_field_n |  | 加盟店自由項目 3 |
| `amount` | amount |  | 利用金額 |
| `tax` | tax |  | 税送料 |
| `currency` | CurrencyCode |  |  |
| `job_code` | properties-job_code |  |  |
| `forward` | forward |  |  |
| `transaction_id` | transaction_id |  |  |
| `transaction_date` | string |  | 決済 処理日時 |
| `approve` | approve |  |  |
| `error_code` | error_code |  | この決済において発生したエラーのうち、一番最新のエラーのエラーコードです。 |
| `event` | FincodeEvent |  |  |

## レスポンス

### 200 fincodeに正常にWebhookを受信した旨をレスポンスしてください。

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `receive` | enum(0 | 1) |  | Webhook通知受信 |

### 400 4xx系、5xx系または上記以外のレスポンスを返却した場合、fincodeはエラーと判断しWebhook通知のリトライを行います。

